Bug 251947 - x11-servers/xwayland: deprecate in favor of -devel version
Summary: x11-servers/xwayland: deprecate in favor of -devel version
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://reviews.freebsd.org/D28782
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-18 22:15 UTC by Jan Beich
Modified: 2021-02-19 01:59 UTC (History)
1 user (show)

See Also:
manu: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-12-18 22:15:40 UTC
I'd like to take maintainership but... only when 1.21.0 is released which may never happen[1]. Given no known working[2] compositor uses this port let's avoid spreading QA too thin. For example, xf86-video-intel gave up on tracking releases years ago.

Fedora 34 plans[3] to use development snapshot(s). Once released xserver may have fewer (if any) hw/xwayland changes in 1.20.*, leaving server-1.20-branch mainly for hw/xfree86 (bare metal). So, my current proposal is to add the following:

  DEPRECATED=	   Upstream no longer maintains Xwayland on stable branches, use x11-servers/xwayland-devel instead
  EXPIRATION_DATE= 2021-04-01

[1] https://ajaxnwnk.blogspot.com/2020/10/on-abandoning-x-server.html
[2] kwin_wayland isn't usable yet, see https://forums.freebsd.org/threads/wayland-plasma-5-16-1-error-no-libinput.71271/
[3] https://fedoraproject.org/wiki/Changes/XwaylandStandalone
Comment 1 Jan Beich freebsd_committer 2020-12-19 01:05:35 UTC
(In reply to Jan Beich from comment #0)
> I'd like to take maintainership but... only when 1.21.0 is released

To be accurate, I was planning to throw everything away and start form current -devel port. Having xwayland depend on xorg-server, a dumping ground for non-upstreamable patches, lots of cruft, autotools, non-declarative style and users ready to crucify you, is not fun.
Comment 3 Emmanuel Vadot freebsd_committer 2020-12-30 15:19:50 UTC
Let's just wait a bit to see what will happened on the freedesktop proposal.
So for now let's keep things how they are.
If nothing is happening upstream before 2020Q2 we can think of splitting xwayland from the master ports and updating it to what's in git at this point.
I see no point of deprecating it now.